#include <qapplication.h>

#include <qprogressdialog.h>

QProgressDialog *initDialog;

#include "xplode.h"

int main(int argc, char *argv[])
{
        // Create a new Qt Application
        QApplication app(argc, argv);

        // Animation dialog (modal)
        initDialog = new QProgressDialog(0, 0, true);
        initDialog->setCaption("Xplode");
        initDialog->setLabelText("Setting up application...");
        initDialog->show();

        XplodeApp *xplode = new XplodeApp(argv[0]);
        app.setMainWidget(xplode);

        // Show the main window
        delete initDialog;
        xplode->show();

        // Open the given document - if any - or an empty one
        if (argc > 1)
                xplode->openDocumentFile(argv[1]);
        else
                xplode->openDocumentFile();

        return app.exec();
}
