#include "plasmfunctionlistitem.h"

PlasmFunctionListItem::PlasmFunctionListItem(QListView *listview, const QString &text) : QListViewItem(listview, text)
{
        initItem();
}

PlasmFunctionListItem::PlasmFunctionListItem(PlasmFunctionListItem *listItem, const QString &text) : QListViewItem(listItem, text)
{
        initItem();
}

void PlasmFunctionListItem::initItem()
{
        setOpen(false);
}

void PlasmFunctionListItem::setDefinitionName(const QString str)
{
        setText(0, str);
}

void PlasmFunctionListItem::setInput(const QString par)
{
        setText(1, par);
}

void PlasmFunctionListItem::setOutput(const QString par)
{
        setText(2, par);
}

void PlasmFunctionListItem::setDescription(const QString description)
{
        setText(3, description);
}
