#ifndef XPLODEDEFINITIONS_H
#define XPLODEDEFINITIONS_H

#include <qlistbox.h>
#include <qevent.h>
#include <qdragobject.h>

class XplodeDefinitions : public QListBox
{
        Q_OBJECT
public:
        XplodeDefinitions(QWidget *parent = 0, const char *name = 0);

protected:
        void startDrag();
        virtual void contentsMousePressEvent(QMouseEvent *event);
        virtual void contentsMouseMoveEvent(QMouseEvent *event);
        virtual void contentsDragEnterEvent (QDragEnterEvent *event);
        virtual void contentsDragMoveEvent (QDragMoveEvent *event);
        virtual void contentsDropEvent (QDropEvent *event);

private:
        QPoint dragPos;

signals:
        void dropped(QString);
};

#endif

