#ifndef SHARED_H
#define SHARED_H

#ifdef linux
        #define plasmDocuments "Plasm documents (*.psm);;All files (*)"
        #define vrmlDocuments  "Vrml files (*.wrl);;All files (*)"
        #define svgDocuments   "Svg graphic files (*.svg);;All files (*)"
        #define executableFiles "Programs (*)"
#endif

#ifdef unix
        #define plasmDocuments "Plasm documents (*.psm);;All files (*)"
        #define vrmlDocuments  "Vrml files (*.wrl);;All files (*)"
        #define svgDocuments   "Svg graphic files (*.svg);;All files (*)"
        #define executableFiles "Programs (*)"
#endif

#ifdef __APPLE__
        #define plasmDocuments "Plasm documents (*.psm);;All files (*)"
        #define vrmlDocuments  "Vrml files (*.wrl);;All files (*)"
        #define svgDocuments   "Svg graphic files (*.svg);;All files (*)"
        #define executableFiles "Programs (*)"
#endif

#ifdef WIN32
        #define plasmDocuments "Plasm documents (*.psm);;All files (*.*)"
        #define vrmlDocuments  "Vrml files (*.wrl);;All files (*.*)"
        #define svgDocuments   "Svg graphic files (*.svg);;All files (*.*)"
        #define executableFiles "Programs (*.exe)"
#endif

// Shared variables
extern QString       *plasmXplode;
extern QString       *plasmPath;
extern QString       *plasmVrmlViewer;
extern QString       *plasmSvgViewer;
extern QString       *plasmDock;
extern QFont         *plasmEditorFont;
extern QFont         *plasmListenerFont;

#endif
